<header>
    <nav class="navbar navbar-expand-md navbar-dark bg-dark">
        <div><a href="https://www.vmware.com" class="navbar-brand">
            VMware</a></div>




    
    <nav class="navbar navbar-expand navbar-dark bg-dark" *ngIf="user">
        <div class="navbar-nav">
            <!-- <a class="nav-item nav-link" (click)="logout()">Logout</a> -->
            <button type="button" ngbAutofocus class="btn btn-danger"
                (click)="logout()">Logout</button>
        </div>
    </nav>
    <nav class="navbar navbar-expand navbar-dark bg-dark" *ngIf="!user">
        <div class="navbar-nav">
            <a class="nav-item nav-link" routerLink="/login">Login</a>
        </div>
        <div class="navbar-nav">
            <a class="nav-item nav-link" routerLink="/register">Register</a>
        </div>
    </nav>

</nav>
<nav class="navbar navbar-expand navbar-dark bg-dark">
        <div class="navbar-nav">
            <a class="nav-item nav-link" routerLink="">Home</a>
        </div>
        <div class="navbar-nav" *ngIf="user">
            <a class="nav-item nav-link" routerLink="/charity-creation">Create charity</a>
        </div>
        <div class="navbar-nav" *ngIf="user">
            <a class="nav-item nav-link" routerLink="/user">Profile Page</a>
        </div>
</nav>


</header>
<router-outlet></router-outlet>